Bug 825250 - Review Request: guacamole-ext - Common interfaces for extending the main Guacamole web application
Summary: Review Request: guacamole-ext - Common interfaces for extending the main Guac...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mary Ellen Foster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 824798
TreeView+ depends on / blocked
 
Reported: 2012-05-25 13:06 UTC by Simone Caronni
Modified: 2012-06-11 13:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-11 13:26:36 UTC
Type: ---
mefoster: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
build.log from local mock build (17.00 KB, text/x-log)
2012-05-25 15:17 UTC, Mary Ellen Foster
no flags Details

Description Simone Caronni 2012-05-25 13:06:51 UTC
Spec URL: http://slaanesh.fedorapeople.org/guacamole-ext.spec
SRPM URL: http://slaanesh.fedorapeople.org/guacamole-ext-0.6.0-1.fc17.src.rpm
Description:Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX. 

guacamole-ext is a Java library used by the Guacamole web application to allow
its built-in functionality, such as authentication, to be extended or modified.
guacamole-ext provides an interface for retrieving a set of authorized
connection configurations for a given set of arbitrary credentials. Classes
implementing this interface can be referenced in guacamole.properties to allow
different authentication mechanisms (such as LDAP or SSL client authentication)
to be used. 

Fedora Account System Username: slaanesh

Comment 1 Mary Ellen Foster 2012-05-25 14:06:31 UTC
I will review this package

Comment 2 Mary Ellen Foster 2012-05-25 14:29:46 UTC
This doesn't build against the newly-added guacamole-common package from bug 824798. This is because guacamole-common has
    %add_maven_depmap JPP-%{name}.pom guacamole/%{name}.jar
but with a jar file in /usr/share/java/guacamole, the call should instead be
    %add_maven_depmap JPP.guacamole-%{name}.pom guacamole/%{name}.jar

I recently wrote a description of the use cases for %add_maven_depmap which might be useful:
    https://fedoraproject.org/wiki/User:Akurtakov/JavaPackagingDraftUpdate#add_maven_depmap_macro

Comment 3 Simone Caronni 2012-05-25 14:46:09 UTC
I fixed the macro usage in both; recreated guacamole-common and added it as a dependency to this one.

Spec URL: http://slaanesh.fedorapeople.org/guacamole-ext.spec
SRPM URL: http://slaanesh.fedorapeople.org/guacamole-ext-0.6.0-2.fc17.src.rpm

Many thanks,
--Simone

Comment 4 Simone Caronni 2012-05-25 15:02:15 UTC
Spec URL: http://slaanesh.fedorapeople.org/guacamole-ext.spec
SRPM URL: http://slaanesh.fedorapeople.org/guacamole-ext-0.6.0-3.fc17.src.rpm

- Fixed .pom file installation.

(Comment in bug 824798)

Thanks,
--Simone

Comment 5 Mary Ellen Foster 2012-05-25 15:16:58 UTC
Note: this package successfully built in mock on my computer against the guacamole-common
package from bug 824798. I will attach the build.log.

Looks good.

APPROVED

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[-]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mef3/825250/guacamole-ext-0.6.0.tar.gz :
  MD5SUM this package     : 224ae706e7cc2e1eb5ffee368996b907
  MD5SUM upstream package : 224ae706e7cc2e1eb5ffee368996b907

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[-]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[-]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[-]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[-]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms


Generated by fedora-review 0.1.3
External plugins:

Comment 6 Mary Ellen Foster 2012-05-25 15:17:38 UTC
Created attachment 586891 [details]
build.log from local mock build

Comment 7 Stanislav Ochotnicky 2012-05-28 09:03:28 UTC
(In reply to comment #2)
> This doesn't build against the newly-added guacamole-common package from bug
> 824798. This is because guacamole-common has
>     %add_maven_depmap JPP-%{name}.pom guacamole/%{name}.jar
> but with a jar file in /usr/share/java/guacamole, the call should instead be
>     %add_maven_depmap JPP.guacamole-%{name}.pom guacamole/%{name}.jar

This is weird. The add_maven_depmap macro should have failed with an exception thrown in case it can't find the pom. I'll have a look

Comment 8 Simone Caronni 2012-05-28 12:40:19 UTC
New Package SCM Request
=======================
Package Name: guacamole-ext
Short Description: Common interfaces for extending the main Guacamole web application
Owners: slaanesh
Branches: f17 f16 el6
InitialCC:

Comment 9 Gwyn Ciesla 2012-05-29 12:49:42 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.